Create a product
Create a new product in the lab's catalog. Supports setting category, quality standard, treatment phase, pricing, materials, file requirements, inventory requirements, and custom fields in a single request.
Create a new product in the lab's catalog. Supports setting category, quality standard, treatment phase, pricing, materials, file requirements, inventory requirements, and custom fields in a single request.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/products" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "treatmentPhaseId": "string" }'{ "product": { "id": "string", "labId": "string", "categoryId": "string", "standardId": "string", "treatmentPhaseId": "string", "name": "string", "sku": "string", "description": "string", "defaultPrice": "string", "cogs": "string", "pricingUnit": "string", "turnaroundDays": 0, "weight": "string", "minTeethCount": 0, "maxTeethCount": 0, "shadeEnabled": true, "implantSpecRequired": true, "archSelection": "string", "bothArchesOnly": true, "hideOdontogram": true, "odontogramMode": "string", "configuratorType": "single_page", "quantityEnabled": true, "autoAddToCart": true, "upfrontPayment": true, "isHidden": true, "useProgressBar": true, "fulfillmentMode": "physical", "isActive": true, "sortOrder": 0, "laboratoryCode": "string", "laboratoryDescription": "string", "imageKey": "string", "triggerRules": null, "treatmentPhaseName": "string", "treatmentPhaseSortOrder": 0, "treatmentPhaseStartPolicy": "string", "treatmentPhaseLeadTimeDays": 0, "createdAt": "string", "updatedAt": "string" }}Empty
Empty
Empty
Empty
Empty
Empty
Empty
Empty